summaryrefslogtreecommitdiff
path: root/qa/405
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/405
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/405')
-rwxr-xr-xqa/40536
1 files changed, 36 insertions, 0 deletions
diff --git a/qa/405 b/qa/405
new file mode 100755
index 0000000..f1ce8ed
--- /dev/null
+++ b/qa/405
@@ -0,0 +1,36 @@
+#!/bin/sh
+# PCP QA Test No. 405
+# valgrind for pmUnpackEventRecords() and pmFreeEventResult()
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_check_valgrind
+
+# can skip stdout from unpack, that's checked in 404
+#
+_filter()
+{
+ $PCP_AWK_PROG '
+BEGIN { skip = 1 }
+/=== filtered / { skip = 0 }
+skip == 0 { print }'
+}
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+_run_valgrind src/unpack | _filter
+
+# success, all done
+exit